curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/apps \
--header 'Authorization: Bearer <token>'{
"data": [
{
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"lifecycleStage": "active",
"autopilot": {},
"id": "<string>",
"fqn": "<string>",
"name": "<string>",
"type": "async-service",
"tenantName": "<string>",
"metadata": {
"paused": true
},
"workspaceId": "<string>",
"lastVersion": 123,
"activeVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"recommendations": [
{
"recommendationData": {},
"recommendationType": "<string>",
"expiryTimestamp": "2023-11-07T05:31:56Z",
"id": "<string>",
"clusterId": "<string>",
"applicationId": "<string>",
"deploymentId": "<string>",
"applicationVersion": 123,
"appliedDeploymentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"alerts": [
{
"name": "<string>",
"timestamps": [
"2023-11-07T05:31:56Z"
],
"startTime": "2023-11-07T05:31:56Z",
"clusterId": "<string>",
"fingerprint": "<string>",
"id": "<string>",
"resolvedTime": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"tenantName": "<string>",
"updatedAt": "<string>",
"createdAt": "<string>",
"applicationDebugInfoId": "<string>"
}
],
"alertsSummary": {},
"applicationDebugInfos": [
{
"applicationId": "<string>",
"debugInfo": {},
"id": "<string>",
"application": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"potentialProblems": [
{
"name": "<string>",
"description": "<string>"
}
],
"workspaceFqn": "<string>",
"createdBy": "<string>",
"deployment": {
"manifest": {
"name": "<string>",
"image": {
"type": "build",
"build_source": {
"type": "remote",
"remote_uri": "<string>"
},
"build_spec": {
"type": "dockerfile",
"dockerfile_path": "./Dockerfile",
"build_context_path": "./",
"command": "<string>",
"build_args": {},
"build_secrets": [
{
"id": "<string>",
"value": "<string>",
"env": "<string>"
}
]
},
"docker_registry": "<string>"
},
"ports": [
{
"port": 80,
"protocol": "TCP",
"expose": true,
"app_protocol": "http",
"host": "<string>",
"path": "<string>",
"rewrite_path_to": "<string>",
"auth": {
"type": "basic_auth",
"username": "<string>",
"password": "<string>"
}
}
],
"type": "service",
"replicas": 1,
"artifacts_download": {
"artifacts": [
{
"type": "truefoundry-artifact",
"artifact_version_fqn": "<string>",
"download_path_env_variable": "<string>"
}
],
"cache_volume": {
"storage_class": "<string>",
"cache_size": 200
}
},
"resources": {
"cpu_request": 0.2,
"cpu_limit": 0.5,
"memory_request": 200,
"memory_limit": 500,
"ephemeral_storage_request": 1000,
"ephemeral_storage_limit": 2000,
"shared_memory_size": 2000032,
"node": {
"type": "node_selector",
"instance_families": [
"<string>"
],
"capacity_type": "spot_fallback_on_demand"
},
"devices": [
{
"type": "nvidia_gpu",
"count": 8,
"name": "<string>"
}
]
},
"env": null,
"service_account": "<string>",
"mounts": [
{
"type": "secret",
"mount_path": "<string>",
"secret_fqn": "<string>"
}
],
"labels": {},
"kustomize": {
"patch": {},
"additions": [
{}
]
},
"liveness_probe": {
"config": {
"type": "http",
"path": "<string>",
"port": 32767,
"host": "<string>",
"scheme": "HTTP"
},
"initial_delay_seconds": 0,
"period_seconds": 10,
"timeout_seconds": 1,
"success_threshold": 1,
"failure_threshold": 3
},
"readiness_probe": {
"config": {
"type": "http",
"path": "<string>",
"port": 32767,
"host": "<string>",
"scheme": "HTTP"
},
"initial_delay_seconds": 0,
"period_seconds": 10,
"timeout_seconds": 1,
"success_threshold": 1,
"failure_threshold": 3
},
"startup_probe": {
"config": {
"type": "http",
"path": "<string>",
"port": 32767,
"host": "<string>",
"scheme": "HTTP"
},
"initial_delay_seconds": 0,
"period_seconds": 10,
"timeout_seconds": 1,
"success_threshold": 1,
"failure_threshold": 3
},
"workspace_fqn": "<string>",
"auto_shutdown": {
"wait_time": 900
},
"allow_interception": false,
"rollout_strategy": {
"type": "rolling_update",
"max_unavailable_percentage": 25,
"max_surge_percentage": 25
}
},
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"id": "<string>",
"version": 123,
"fqn": "<string>",
"applicationId": "<string>",
"application": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deploymentBuilds": [
{
"name": "<string>",
"status": 20
}
],
"deploymentStatuses": [
{
"id": "<string>",
"deploymentId": "<string>",
"status": "INITIALIZED",
"state": {},
"transition": "BUILDING",
"message": "<string>",
"retryCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"currentStatusId": "<string>",
"currentStatus": {
"id": "<string>",
"deploymentId": "<string>",
"status": "INITIALIZED",
"state": {},
"transition": "BUILDING",
"message": "<string>",
"retryCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"appliedRecommendations": [
{
"recommendationData": {},
"recommendationType": "<string>",
"expiryTimestamp": "2023-11-07T05:31:56Z",
"id": "<string>",
"clusterId": "<string>",
"applicationId": "<string>",
"deploymentId": "<string>",
"applicationVersion": 123,
"appliedDeploymentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdBy": "<string>"
},
"activeDeploymentId": "<string>",
"lastDeploymentId": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Retrieves a list of all latest applications. Supports filtering by application ID, name, type, and other parameters. Pagination is available based on query parameters.
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/apps \
--header 'Authorization: Bearer <token>'{
"data": [
{
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"lifecycleStage": "active",
"autopilot": {},
"id": "<string>",
"fqn": "<string>",
"name": "<string>",
"type": "async-service",
"tenantName": "<string>",
"metadata": {
"paused": true
},
"workspaceId": "<string>",
"lastVersion": 123,
"activeVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"recommendations": [
{
"recommendationData": {},
"recommendationType": "<string>",
"expiryTimestamp": "2023-11-07T05:31:56Z",
"id": "<string>",
"clusterId": "<string>",
"applicationId": "<string>",
"deploymentId": "<string>",
"applicationVersion": 123,
"appliedDeploymentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"alerts": [
{
"name": "<string>",
"timestamps": [
"2023-11-07T05:31:56Z"
],
"startTime": "2023-11-07T05:31:56Z",
"clusterId": "<string>",
"fingerprint": "<string>",
"id": "<string>",
"resolvedTime": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"tenantName": "<string>",
"updatedAt": "<string>",
"createdAt": "<string>",
"applicationDebugInfoId": "<string>"
}
],
"alertsSummary": {},
"applicationDebugInfos": [
{
"applicationId": "<string>",
"debugInfo": {},
"id": "<string>",
"application": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"potentialProblems": [
{
"name": "<string>",
"description": "<string>"
}
],
"workspaceFqn": "<string>",
"createdBy": "<string>",
"deployment": {
"manifest": {
"name": "<string>",
"image": {
"type": "build",
"build_source": {
"type": "remote",
"remote_uri": "<string>"
},
"build_spec": {
"type": "dockerfile",
"dockerfile_path": "./Dockerfile",
"build_context_path": "./",
"command": "<string>",
"build_args": {},
"build_secrets": [
{
"id": "<string>",
"value": "<string>",
"env": "<string>"
}
]
},
"docker_registry": "<string>"
},
"ports": [
{
"port": 80,
"protocol": "TCP",
"expose": true,
"app_protocol": "http",
"host": "<string>",
"path": "<string>",
"rewrite_path_to": "<string>",
"auth": {
"type": "basic_auth",
"username": "<string>",
"password": "<string>"
}
}
],
"type": "service",
"replicas": 1,
"artifacts_download": {
"artifacts": [
{
"type": "truefoundry-artifact",
"artifact_version_fqn": "<string>",
"download_path_env_variable": "<string>"
}
],
"cache_volume": {
"storage_class": "<string>",
"cache_size": 200
}
},
"resources": {
"cpu_request": 0.2,
"cpu_limit": 0.5,
"memory_request": 200,
"memory_limit": 500,
"ephemeral_storage_request": 1000,
"ephemeral_storage_limit": 2000,
"shared_memory_size": 2000032,
"node": {
"type": "node_selector",
"instance_families": [
"<string>"
],
"capacity_type": "spot_fallback_on_demand"
},
"devices": [
{
"type": "nvidia_gpu",
"count": 8,
"name": "<string>"
}
]
},
"env": null,
"service_account": "<string>",
"mounts": [
{
"type": "secret",
"mount_path": "<string>",
"secret_fqn": "<string>"
}
],
"labels": {},
"kustomize": {
"patch": {},
"additions": [
{}
]
},
"liveness_probe": {
"config": {
"type": "http",
"path": "<string>",
"port": 32767,
"host": "<string>",
"scheme": "HTTP"
},
"initial_delay_seconds": 0,
"period_seconds": 10,
"timeout_seconds": 1,
"success_threshold": 1,
"failure_threshold": 3
},
"readiness_probe": {
"config": {
"type": "http",
"path": "<string>",
"port": 32767,
"host": "<string>",
"scheme": "HTTP"
},
"initial_delay_seconds": 0,
"period_seconds": 10,
"timeout_seconds": 1,
"success_threshold": 1,
"failure_threshold": 3
},
"startup_probe": {
"config": {
"type": "http",
"path": "<string>",
"port": 32767,
"host": "<string>",
"scheme": "HTTP"
},
"initial_delay_seconds": 0,
"period_seconds": 10,
"timeout_seconds": 1,
"success_threshold": 1,
"failure_threshold": 3
},
"workspace_fqn": "<string>",
"auto_shutdown": {
"wait_time": 900
},
"allow_interception": false,
"rollout_strategy": {
"type": "rolling_update",
"max_unavailable_percentage": 25,
"max_surge_percentage": 25
}
},
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"id": "<string>",
"version": 123,
"fqn": "<string>",
"applicationId": "<string>",
"application": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deploymentBuilds": [
{
"name": "<string>",
"status": 20
}
],
"deploymentStatuses": [
{
"id": "<string>",
"deploymentId": "<string>",
"status": "INITIALIZED",
"state": {},
"transition": "BUILDING",
"message": "<string>",
"retryCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"currentStatusId": "<string>",
"currentStatus": {
"id": "<string>",
"deploymentId": "<string>",
"status": "INITIALIZED",
"state": {},
"transition": "BUILDING",
"message": "<string>",
"retryCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"appliedRecommendations": [
{
"recommendationData": {},
"recommendationType": "<string>",
"expiryTimestamp": "2023-11-07T05:31:56Z",
"id": "<string>",
"clusterId": "<string>",
"applicationId": "<string>",
"deploymentId": "<string>",
"applicationVersion": 123,
"appliedDeploymentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdBy": "<string>"
},
"activeDeploymentId": "<string>",
"lastDeploymentId": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Documentation Index
Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Number of items per page
1 <= x <= 100010
Number of items to skip
x >= 00
Application id of the application
Workspace id of the application (comma separated for multiple)
Name of application
Fully qualified name (FQN) of the application
Fully qualified name (FQN) of the workspace
Type of application (comma separated for multiple). Allowed Values: async-service, service, job, spark-job, helm, notebook, spark-notebook, codeserver, rstudio, ssh-server, volume, application, application-set, intercept, workflow
Search query for application name
Filter by Environment ids of the application (comma separated for multiple)
Filter by Cluster ids of the application (comma separated for multiple)
Filter by Application Set id of the application
Filter by Application Paused status
Filter by device type of the application. Allowed values: cpu, nvidia_gpu, aws_inferentia, nvidia_mig_gpu, nvidia_timeslicing_gpu, gcp_tpu
cpu, nvidia_gpu, aws_inferentia, nvidia_mig_gpu, nvidia_timeslicing_gpu, gcp_tpu Filter by last deployed by specific users
Filter by application lifecycle state
active, deleting, deletion_failed Filter out applications with recommendations that are allowed to be shown
Retrieve latest applications based on the specified query parameters. If pagination parameters are provided, the response includes paginated data.
Was this page helpful?